Kerbal Space Program - Bug #19343

landing gear bounce upon docking or undocking
07/01/2018 09:25 PM - Anonymous

Status: Closed Start date: 07/01/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.5.0

Version: 1.4.4 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

The attached ground-craft has two parts, that sit level before and after docking, but upon decoupling, docking or later undocking, the
LT-2 landing gear bounces.

Half-load or more of fuel overstresses and destroys the LT-2 gear.

Likely duplicate of 18380.

History

#1 - 07/02/2018 01:13 PM - MOARdV

| see a similar issue when entering a spaceplane that's parked on Kerbin (not spawning a new craft, but returning to it from the Tracking Station or
directly from the Space Center) - the landing gear (small aircraft landing gear) bounce slightly, and only taking off and landing seems to reset them.
In my case, it is not reproducing 100% of the time, maybe closer to 30% of the time.

#2 - 07/07/2018 11:03 PM - cpcallen
- File Mobile Base Dev (tmp).craft added
- Platform OSX added

| have a similar set-up, but with a more extreme result: massive explosions.

If 1 undock the two halves of the craft in the attached .craft file and then re-dock them, all landing struts are destroyed and wheels damaged.

#3 - 07/08/2018 02:53 AM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The example at the top post will also show massive explosions, if you use full fuel tanks.

Possibly, though, this bug is being worked on. Something similar is referenced at the weekly announcement.
https://forum.kerbalspaceprogram.com/index.php?/topic/176533-ksp-weekly-the-asteroid-miners/

#4 - 09/17/2018 09:58 AM - Tomator

The issue might be more general: it seems that stresses in construction are reset on docking when the model is probably rebuilt (pipes or winch
connection using KAS plugin do the same) which causes sometimes "launching" entire base into the sky (on Minmus) if it stands on struts. It's less
dangerous when struts were removed and the base lays just on tanks. Similarly, the likes to jump when it enters the physics range. When stress state
isn't saved, also reloading while atmospheric flight causes quite violent stress resolving - while | didn't notice plane destruction, the smooth flight is
disturbed in such case (so | never do quick save during final approach)

#5 - 09/23/2018 06:30 PM - Anonymous
- File tanks.1.3.1.craft added

The bounce is much less in version 1.4.5, now the craft from the initial report survives even with full tanks.
It was true even in version 1.3.1 that the stresses and flexing of craft were not saved in the save-file, so that upon physics loading the wings on
air-craft initially appeared un-flexed, and suffered an initial sometimes dangerous bounce as they took the weight of the aircraft. However, the initial

example (attached now in 1.3.1-format) shows no bounce on the landing legs, and only a small bouncy roll on the wheels, upon undocking in version
1.3.1.

04/09/2024 12



https://forum.kerbalspaceprogram.com/index.php?/topic/176533-ksp-weekly-the-asteroid-miners/

The 12-m/s speed of the initial fall on the example craft in version 1.4.5 is more than gravity could do in one or two time-steps. So even with the
limitation of stress-forgetting save-files, significant further reduction in these bounces seems possible.

#6 - 09/23/2018 06:55 PM - Anonymous

Now | see that version 1.3.1 does save the compressed state of landing legs and gear, while version 1.4.5 does not.

1.3.1 quicksave.sfs records ModuleWheelSuspension : suspensionPos = (0, 0, 0.44) where the final number gets larger with less weight, more
extension.

1.4.5 quicksave.sfs records ModuleWheelSuspension : suspensionPos = (-1, -1, -1)

So | can imagine that upon docking the physics engine is told that the leg was fully compressed, then 0.02 seconds later is extended to whatever is

needed to reach the ground, interprets that as something pulling the landing leg at some tens of m/s, and generated a damping force that pulls the
craft rapidly down.

#7 - 10/15/2018 04:49 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.5.0

- % Done changed from 10 to 80

There have been some updates to the landing legs to help address the bouncing under stress. Please check this in 1.5.0.

#8 - 12/08/2018 06:38 AM - Anonymous

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

In version 1.51 the tanks.craft undocks and re-docks with a realistic tiny bounce.

(I cannot figure out which mods 'Mobile Base Dev (tmp).craft' uses)

#9 - 12/13/2018 12:55 AM - joshua.collins

- Status changed from Resolved to Closed

#10 - 05/04/2019 07:03 PM - cpcallen
- File Mobile Base Dev.craft added

This is certainly not fixed in 1.7.0 (Build ID 02483).

See attached craft Mobile Base Dev.craft (now 100% stock). Uncoupling any of the Jr. docking ports will cause explosions.

Files

tanks.craft 38.1 KB 07/01/2018 Anonymous

screenshot0.jpg 46.5 KB 07/01/2018 Anonymous

Mobile Base Dev (tmp).craft 152 KB 07/07/2018 cpcallen

tanks.1.3.1.craft 37.5 KB 09/23/2018 Anonymous

Mobile Base Dev.craft 306 KB 05/04/2019 cpcallen
